Package tigase.db

# Class RepositoryFactory

java.lang.Object
tigase.db.RepositoryFactory

@Deprecated public abstract class RepositoryFactory extends Object
Deprecated.
Describe class RepositoryFactory here.
Created: Tue Oct 24 22:13:52 2006

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AUTH_DOMAIN_POOL_CLASS`
  Deprecated.
  `static final String`
  `AUTH_DOMAIN_POOL_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `AUTH_DOMAIN_POOL_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `AUTH_REPO_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `AUTH_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `AUTH_REPO_DOMAINS_PROP_KEY`
  Deprecated.
  `static final String`
  `AUTH_REPO_PARAMS_NODE`
  Deprecated.
  `static final String`
  `AUTH_REPO_POOL_CLASS`
  Deprecated.
  `static final String`
  `AUTH_REPO_POOL_CLASS_PROP_DEF`
  Deprecated.
  `static final String`
  `AUTH_REPO_POOL_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `AUTH_REPO_POOL_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `AUTH_REPO_POOL_SIZE`
  Deprecated.
  `static final String`
  `AUTH_REPO_POOL_SIZE_PROP_KEY`
  Deprecated.
  `static final int`
  `AUTH_REPO_POOL_SIZE_PROP_VAL`
  Deprecated.
  `static final String`
  `AUTH_REPO_URL_PROP_KEY`
  Deprecated.
  `static final String`
  `DATA_REPO_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `DATA_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `DATA_REPO_POOL_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `DATA_REPO_POOL_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `DATA_REPO_POOL_SIZE`
  Deprecated.
  `static final String`
  `DATA_REPO_POOL_SIZE_PROP_KEY`
  Deprecated.
  `static final int`
  `DATA_REPO_POOL_SIZE_PROP_VAL`
  Deprecated.
  `static final String`
  `DATABASE_TYPE_PROP_KEY`
  Deprecated.
  `static final String`
  `DERBY_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `DERBY_REPO_URL_PROP_VAL`
  Deprecated.
  `static final String`
  `DRUPAL_REPO_URL_PROP_VAL`
  Deprecated.
  `static final String`
  `DRUPALWP_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `DUMMY_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `GEN_AUTH_DB`
  Deprecated.
  `static final String`
  `GEN_AUTH_DB_URI`
  Deprecated.
  `static final String`
  `GEN_USER_DB`
  Deprecated.
  `static final String`
  `GEN_USER_DB_PROP_KEY`
  Deprecated.
  `static final String`
  `GEN_USER_DB_URI`
  Deprecated.
  `static final String`
  `GEN_USER_DB_URI_PROP_KEY`
  Deprecated.
  `static final String`
  `LIBRESOURCE_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `LIBRESOURCE_REPO_URL_PROP_VAL`
  Deprecated.
  `static final String`
  `MYSQL_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `MYSQL_REPO_URL_PROP_VAL`
  Deprecated.
  `static final String`
  `PGSQL_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `PGSQL_REPO_URL_PROP_VAL`
  Deprecated.
  `static final int`
  `REPO_POOL_SIZE_FACTOR_PROP_VAL`
  Deprecated.
  `static final String`
  `SHARED_AUTH_REPO_PARAMS_PROP_KEY`
  Deprecated.
  `static final String`
  `SHARED_AUTH_REPO_PROP_KEY`
  Deprecated.
  `static final String`
  `SHARED_USER_REPO_PARAMS_PROP_KEY`
  Deprecated.
  `static final String`
  `SHARED_USER_REPO_PROP_KEY`
  Deprecated.
  `static final String`
  `SQLSERVER_REPO_CLASS_PROP_VAL`
  Deprecated.
  Default MS SQL Server JDBC class
  `static final String`
  `SQLSERVER_REPO_URL_PROP_VAL`
  Deprecated.
  Default MS SQL Server JDBC connection string
  `static final String`
  `TIGASE_AUTH_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `TIGASE_AUTH_REPO_URL_PROP_VAL`
  Deprecated.
  `static final String`
  `TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `USER_DOMAIN_POOL_CLASS`
  Deprecated.
  `static final String`
  `USER_DOMAIN_POOL_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `USER_DOMAIN_POOL_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `USER_REPO_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `USER_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `USER_REPO_DOMAINS_PROP_KEY`
  Deprecated.
  `static final String`
  `USER_REPO_PARAMS_NODE`
  Deprecated.
  `static final String`
  `USER_REPO_POOL_CLASS`
  Deprecated.
  `static final String`
  `USER_REPO_POOL_CLASS_PROP_DEF`
  Deprecated.
  `static final String`
  `USER_REPO_POOL_CLASS_PROP_KEY`
  Deprecated.
  `static final String`
  `USER_REPO_POOL_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `USER_REPO_POOL_SIZE`
  Deprecated.
  `static final String`
  `USER_REPO_POOL_SIZE_PROP_KEY`
  Deprecated.
  `static final int`
  `USER_REPO_POOL_SIZE_PROP_VAL`
  Deprecated.
  `static final String`
  `USER_REPO_URL_PROP_KEY`
  Deprecated.
  `static final String`
  `XML_REPO_CLASS_PROP_VAL`
  Deprecated.
  `static final String`
  `XML_REPO_URL_PROP_VAL`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryFactory()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthRepository`
  `getAuthRepository(String class_name, String resource, Map<String,String> params)`
  Deprecated.
  `static DataRepository`
  `getDataRepository(String class_name, String resource, Map<String,String> params)`
  Deprecated.
  `static String`
  `getRepoClass(String repo_name)`
  Deprecated.
  `static <T extends Class<? extends Repository>>
  T`
  `getRepoClass(T cls, String uri)`
  Deprecated.
  Method returns class which would be by default used as implementation of class
  `static String`
  `getRepoClassName(Class cls, String uri)`
  Deprecated.
  Returns name of class which would be used as repository implementation
  `static UserRepository`
  `getUserRepository(String class_name, String resource, Map<String,String> params)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUTH_DOMAIN_POOL_CLASS

    public static final String AUTH_DOMAIN_POOL_CLASS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_DOMAIN_POOL_CLASS_PROP_KEY

    public static final String AUTH_DOMAIN_POOL_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_DOMAIN_POOL_CLASS_PROP_VAL

    public static final String AUTH_DOMAIN_POOL_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_CLASS_PROP_KEY

    public static final String AUTH_REPO_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_CLASS_PROP_VAL

    @Deprecated public static final String AUTH_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_DOMAINS_PROP_KEY

    public static final String AUTH_REPO_DOMAINS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_PARAMS_NODE

    public static final String AUTH_REPO_PARAMS_NODE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_POOL_CLASS

    public static final String AUTH_REPO_POOL_CLASS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_POOL_CLASS_PROP_DEF

    public static final String AUTH_REPO_POOL_CLASS_PROP_DEF
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_POOL_CLASS_PROP_KEY

    public static final String AUTH_REPO_POOL_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_POOL_CLASS_PROP_VAL

    public static final String AUTH_REPO_POOL_CLASS_PROP_VAL
    Deprecated.

  - ### AUTH_REPO_POOL_SIZE

    public static final String AUTH_REPO_POOL_SIZE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_POOL_SIZE_PROP_KEY

    public static final String AUTH_REPO_POOL_SIZE_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### REPO_POOL_SIZE_FACTOR_PROP_VAL

    public static final int REPO_POOL_SIZE_FACTOR_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AUTH_REPO_POOL_SIZE_PROP_VAL

    public static final int AUTH_REPO_POOL_SIZE_PROP_VAL
    Deprecated.

  - ### AUTH_REPO_URL_PROP_KEY

    public static final String AUTH_REPO_URL_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_CLASS_PROP_KEY

    public static final String DATA_REPO_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_CLASS_PROP_VAL

    @Deprecated public static final String DATA_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_POOL_CLASS_PROP_KEY

    public static final String DATA_REPO_POOL_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_POOL_CLASS_PROP_VAL

    public static final String DATA_REPO_POOL_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_POOL_SIZE

    public static final String DATA_REPO_POOL_SIZE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_POOL_SIZE_PROP_KEY

    public static final String DATA_REPO_POOL_SIZE_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATA_REPO_POOL_SIZE_PROP_VAL

    public static final int DATA_REPO_POOL_SIZE_PROP_VAL
    Deprecated.

  - ### DERBY_REPO_CLASS_PROP_VAL

    public static final String DERBY_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DERBY_REPO_URL_PROP_VAL

    public static final String DERBY_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DRUPAL_REPO_URL_PROP_VAL

    public static final String DRUPAL_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DRUPALWP_REPO_CLASS_PROP_VAL

    public static final String DRUPALWP_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DUMMY_REPO_CLASS_PROP_VAL

    public static final String DUMMY_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### GEN_AUTH_DB

    public static final String GEN_AUTH_DB
    Deprecated.
    See Also:
      - Constant Field Values

  - ### GEN_AUTH_DB_URI

    public static final String GEN_AUTH_DB_URI
    Deprecated.
    See Also:
      - Constant Field Values

  - ### GEN_USER_DB_PROP_KEY

    public static final String GEN_USER_DB_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### GEN_USER_DB

    public static final String GEN_USER_DB
    Deprecated.
    See Also:
      - Constant Field Values

  - ### GEN_USER_DB_URI_PROP_KEY

    public static final String GEN_USER_DB_URI_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### GEN_USER_DB_URI

    public static final String GEN_USER_DB_URI
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LIBRESOURCE_REPO_CLASS_PROP_VAL

    public static final String LIBRESOURCE_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LIBRESOURCE_REPO_URL_PROP_VAL

    public static final String LIBRESOURCE_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQLSERVER_REPO_CLASS_PROP_VAL

    public static final String SQLSERVER_REPO_CLASS_PROP_VAL
    Deprecated.
    Default MS SQL Server JDBC class
    See Also:
      - Constant Field Values

  - ### SQLSERVER_REPO_URL_PROP_VAL

    public static final String SQLSERVER_REPO_URL_PROP_VAL
    Deprecated.
    Default MS SQL Server JDBC connection string
    See Also:
      - Constant Field Values

  - ### MYSQL_REPO_CLASS_PROP_VAL

    public static final String MYSQL_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MYSQL_REPO_URL_PROP_VAL

    public static final String MYSQL_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### PGSQL_REPO_CLASS_PROP_VAL

    public static final String PGSQL_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### PGSQL_REPO_URL_PROP_VAL

    public static final String PGSQL_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SHARED_AUTH_REPO_PARAMS_PROP_KEY

    public static final String SHARED_AUTH_REPO_PARAMS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SHARED_AUTH_REPO_PROP_KEY

    public static final String SHARED_AUTH_REPO_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SHARED_USER_REPO_PARAMS_PROP_KEY

    public static final String SHARED_USER_REPO_PARAMS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SHARED_USER_REPO_PROP_KEY

    public static final String SHARED_USER_REPO_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TIGASE_AUTH_REPO_CLASS_PROP_VAL

    public static final String TIGASE_AUTH_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TIGASE_AUTH_REPO_URL_PROP_VAL

    public static final String TIGASE_AUTH_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL

    public static final String TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_DOMAIN_POOL_CLASS

    public static final String USER_DOMAIN_POOL_CLASS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_DOMAIN_POOL_CLASS_PROP_KEY

    public static final String USER_DOMAIN_POOL_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_DOMAIN_POOL_CLASS_PROP_VAL

    public static final String USER_DOMAIN_POOL_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_CLASS_PROP_KEY

    public static final String USER_REPO_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_CLASS_PROP_VAL

    @Deprecated public static final String USER_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_DOMAINS_PROP_KEY

    public static final String USER_REPO_DOMAINS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_PARAMS_NODE

    public static final String USER_REPO_PARAMS_NODE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_POOL_CLASS

    public static final String USER_REPO_POOL_CLASS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_POOL_CLASS_PROP_DEF

    public static final String USER_REPO_POOL_CLASS_PROP_DEF
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_POOL_CLASS_PROP_KEY

    public static final String USER_REPO_POOL_CLASS_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_POOL_CLASS_PROP_VAL

    public static final String USER_REPO_POOL_CLASS_PROP_VAL
    Deprecated.

  - ### USER_REPO_POOL_SIZE

    public static final String USER_REPO_POOL_SIZE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_POOL_SIZE_PROP_KEY

    public static final String USER_REPO_POOL_SIZE_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER_REPO_POOL_SIZE_PROP_VAL

    public static final int USER_REPO_POOL_SIZE_PROP_VAL
    Deprecated.

  - ### USER_REPO_URL_PROP_KEY

    public static final String USER_REPO_URL_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### XML_REPO_CLASS_PROP_VAL

    public static final String XML_REPO_CLASS_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### XML_REPO_URL_PROP_VAL

    public static final String XML_REPO_URL_PROP_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATABASE_TYPE_PROP_KEY

    public static final String DATABASE_TYPE_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RepositoryFactory

    public RepositoryFactory()
    Deprecated.

- ## Method Details

  - ### getAuthRepository

    public static AuthRepository getAuthRepository(String class_name, String resource, Map<String,String> params) throws ClassNotFoundException, InstantiationException, IllegalAccessException, DBInitException
    Deprecated.
    Throws:
      `ClassNotFoundException`
      `InstantiationException`
      `IllegalAccessException`
      `DBInitException`

  - ### getDataRepository

    public static DataRepository getDataRepository(String class_name, String resource, Map<String,String> params) throws ClassNotFoundException, InstantiationException, IllegalAccessException, DBInitException, SQLException
    Deprecated.
    Throws:
      `ClassNotFoundException`
      `InstantiationException`
      `IllegalAccessException`
      `DBInitException`
      `SQLException`

  - ### getRepoClass

    public static <T extends Class<? extends Repository>> T getRepoClass(T cls, String uri) throws DBInitException
    Deprecated.
    Method returns class which would be by default used as implementation of class
    Throws:
      `DBInitException`

  - ### getRepoClass

    public static String getRepoClass(String repo_name)
    Deprecated.

  - ### getRepoClassName

    public static String getRepoClassName(Class cls, String uri) throws DBInitException
    Deprecated.
    Returns name of class which would be used as repository implementation
    Parameters:
      `cls` - - interface class needs to implement
      `uri` - - uri which needs to be supported by implementation
    Throws:
      `DBInitException`

  - ### getUserRepository

    public static UserRepository getUserRepository(String class_name, String resource, Map<String,String> params) throws ClassNotFoundException, InstantiationException, IllegalAccessException, DBInitException
    Deprecated.
    Throws:
      `ClassNotFoundException`
      `InstantiationException`
      `IllegalAccessException`
      `DBInitException`